Class | Chef::Provider::Group
In: | lib/chef/provider/group/gpasswd.rb lib/chef/provider/group/windows.rb lib/chef/provider/group/dscl.rb lib/chef/provider/group/suse.rb lib/chef/provider/group/usermod.rb lib/chef/provider/group/aix.rb lib/chef/provider/group/groupadd.rb lib/chef/provider/group/pw.rb lib/chef/provider/group.rb
Parent: | Object

### Methods

action_create action_manage action_modify action_remove compare_group create_group load_current_resource manage_group new remove_group

### Included Modules

Chef::Mixin::Command

### Classes and Modules

Class Chef::Provider::Group::Aix
Class Chef::Provider::Group::Dscl
Class Chef::Provider::Group::Gpasswd
Class Chef::Provider::Group::Groupadd
Class Chef::Provider::Group::Pw
Class Chef::Provider::Group::Suse
Class Chef::Provider::Group::Usermod
Class Chef::Provider::Group::Windows

### Attributes

group_exists | [RW] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_create()
action_manage()
action_modify()
action_remove()
compare_group()

Check to see if a group needs any changes

#### Returns

<true>: | If a change is required
<false>: | If a change is not required

create_group()
load_current_resource()
manage_group()
remove_group()

[Validate]